Subject: Re: organizing multiple repositories with dependencies

From: <[email-masked]>
Date: Tue, 24 Apr 2012 18:38:46 -0500

Hilco Wijbenga <[email-masked]> writes:

> On 24 April 2012 12:48, Eugene Sajine <[email-masked]> wrote:

> So how do you handle implementing features/changes that involve more
> than one project? Surely, you do not manually create topic branches in
> each of the involved repos?

That is indeed what integrators usually do for release branches.  For
features, developers create topic branches for whatever component
they're working on and these never hit a shared repository anyway so it
doesn't really matter.

Again, it's just another model which works well in a lot of cases, but
not all.

                           -Dave